<?php
// <!-- By Krijn Hoetmer (www.krijnhoetmer.nl) - www.Fronteers.nl -->

$data = array(
 'nl' => array(
  'title' => 'Aanbeveling',
  'from' => 'van',
  'or' => 'of',
  'install' => 'Installeer',
  'now' => 'nu',
  'more-info' => 'Meer info',
  'or-try' => 'of probeer',
  'line-1' => 'Je browser is <strong>verouderd</strong> en dat brengt enkele <strong>veiligheidsproblemen</strong> met zich mee!',
  'line-2' => 'en ervaar het internet <strong>beter</strong>, <strong>sneller</strong> en <strong>veiliger</strong>!'
 ),
'de' => array(
 'title' => 'Empfehlung',
 'from' => 'von',
 'or' => 'oder',
 'install' => 'Installieren',
 'now' => 'jetzt',
 'more-info' => 'Mehr Info',
 'or-try' => 'oder versuchen',
 'line-1' => 'Ihr Browser ist <strong>veraltet</strong>, welches einige <strong>Sicherheitsprobleme</strong> mit sich bringt!',
 'line-2' => 'und erleben Sie das Internet <strong>besser</strong>, <strong>schneller</strong> und <strong>sicherer</strong>!'
),
'fr' => array(
 'title' => 'Recommandation',
 'from' => 'de',
 'or' => 'ou',
 'install' => 'Installez',
 'now' => 'maintenant',
 'more-info' => 'En savoir plus',
 'or-try' => 'ou essayez',
 'line-1' => 'Votre navigateur web est <strong>obsolète</strong>, ce qui pose des <strong>problèmes de sécurité&nbsp;!</strong>',
 'line-2' => 'et découvrez un internet <strong>plus rapide</strong> et <strong>plus sûr</strong>&nbsp;!'
),
 'en' => array(
  'title' => 'Recommendation',
  'from' => 'by',
  'or' => 'or',
  'install' => 'Install',
  'now' => 'now',
  'more-info' => 'More info',
  'or-try' => 'or try',
  'line-1' => 'Your browser is <strong>outdated</strong> which brings along some <strong>security issues</strong>!',
  'line-2' => 'and experience the internet <strong>better</strong>, <strong>faster</strong> and <strong>safer</strong>!'
 )
);

if (!isset($_GET['lang'])) {
 $lang = 'en';
} else {
 if (in_array($_GET['lang'], array('en', 'nl', 'de', 'fr'))) {
  $lang = $_GET['lang'];
 } else {
  $lang = 'en';
 }
}

if (isset($_GET['ie'])) {
 $browser = 'Internet Explorer';
 $browserURL = 'http://www.microsoft.com/windows/internet-explorer/';
} elseif (isset($_GET['fx'])) {
 $browser = 'Mozilla Firefox';
 $browserURL = 'http://www.mozilla.com/firefox/';
} elseif (isset($_GET['gc'])) {
 $browser = 'Google Chrome';
 $browserURL = 'http://www.google.com/chrome/';
} elseif (isset($_GET['op'])) {
 $browser = 'Opera';
 $browserURL = 'http://www.opera.com/browser/';
} else {
 $browser = 'Mozilla Firefox';
 $browserURL = 'http://www.mozilla.com/firefox/';
}

$title = $data[$lang]['title'];

if (isset($_GET['title']) && !empty($_GET['title'])) {
 $title .= ' ' . $data[$lang]['from'] . ' ' . htmlspecialchars(stripslashes($_GET['title']));
}

?><!doctype html>
<meta charset=utf-8>
<title><?php echo $title; ?></title>
<style>
 html, body, h1, p { margin: 0; padding: 0; }
 html { height: 80px; background: #fff url(f.png) repeat-x 0 100%; border-bottom: 1px solid #0a7aa8; }
 body { padding-left: 70px; font-family: Arial, sans-serif; background: transparent url(m.png) no-repeat 20px 5px; }
 h1 { color: orange; font-size: 18px; margin: 8px 0 0 0; font-weight: normal; }
 p { margin: 5px 0; font-size: 12px; }
 a { color: #097ba8; font-weight: bold; }
 a:hover { color: #000; }
 #d { position: absolute; left: 590px; top: 15px; text-align: center; font-size: 11px; margin: 0; width: 260px; }
 #b { background: #7ec012 url(b.png) repeat-x 0 50%; color: #fff; font-weight: bold; display: block; font-size: 14px; padding: 7px 0; margin: 0 0 5px 0; text-decoration: none; border: 1px solid #64990c; zoom: 1; }
 #b:hover { text-decoration: underline; }
</style>
<h1><?php echo $title; ?></h1>
<p><?php echo $data[$lang]['line-1']; ?></p>
<p><a href="<?php echo $browserURL; ?>" target="_top">Download <?php echo $browser; ?></a> <?php echo $data[$lang]['line-2']; ?><?php if (isset($_GET['more-info-at']) && !empty($_GET['more-info-at'])) { ?> <a href="<?php echo htmlspecialchars(stripslashes($_GET['more-info-at'])); ?>" target="_top"><?php echo $data[$lang]['more-info']; ?></a>?<?php } ?></p>
<p id="d"><a href="<?php echo $browserURL; ?>" id="b" target="_top"><?php echo $data[$lang]['install']; ?> <?php echo $browser; ?> <?php echo $data[$lang]['now']; ?></a><?php if (!isset($_GET['hide-others'])) { ?> <?php echo $data[$lang]['or-try']; ?> <?php if (!isset($_GET['op'])) { ?><a href="http://www.opera.com/download/" target="_top">Opera</a>, <?php } ?><?php if (!isset($_GET['fx'])) { ?><a href="http://www.mozilla.com/firefox/" target="_top">Firefox</a> <?php } ?><?php if (!isset($_GET['gc'])) { echo $data[$lang]['or']; ?> <a href="http://www.google.com/chrome" target="_top">Chrome</a><?php } ?><?php } ?></p>